# Generated by Django 4.1.9 on 2024-01-15 15:09

from django.conf import settings
from django.db import migrations


def load_admin_designation_data(apps, schema_editor):
    Group = apps.get_model("auth", "Group")
    group = Group.objects.get_or_create(name="Admin")
    Designation = apps.get_model("ims_staff", "Designation")
    designation = Designation.objects.get_or_create(name="Admin")
    designation[0].user_groups.add(group[0])


class Migration(migrations.Migration):
    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("ims_staff", "0001_staff_table"),
    ]

    operations = [
        migrations.RunPython(
            load_admin_designation_data, reverse_code=migrations.RunPython.noop
        ),
    ]
